Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.tar
Class TarFileSystem

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractFileSystem
              org.apache.commons.vfs.provider.tar.TarFileSystem

All Implemented Interfaces:
  FileSystem, VfsComponent

public class TarFileSystem
extends AbstractFileSystem
implements FileSystem

A read-only file system for Tar files.

Version:
  $Revision: 484648 $ $Date: 2006-12-08 17:18:36 +0100 (Fr, 08 Dez 2006) $
Author:
  Adam Murdoch

Constructor Summary
`protected` | `TarFileSystem(FileName rootName, FileObject parentLayer, FileSystemOptions fileSystemOptions)`

Method Summary
`protected void` | `addCapabilities(Collection caps)` Returns the capabilities of this file system.
`protected FileObject` | `createFile(FileName name)` Creates a file object.
`protected org.apache.commons.vfs.provider.tar.TarInputStream` | `createTarFile(File file)`
`protected TarFileObject` | `createTarFileObject(FileName name, org.apache.commons.vfs.provider.tar.TarEntry entry)`
`protected void` | `doCloseCommunicationLink()` Close the underlaying link used to access the files
`InputStream` | `getInputStream(org.apache.commons.vfs.provider.tar.TarEntry entry)`
`protected org.apache.commons.vfs.provider.tar.TarInputStream` | `getTarFile()`
`void` | `init()` Initialises this component.
`protected void` | `resetTarFile()`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileSystem
`addJunction, addListener, close, closeCommunicationLink, decorateFileObject, doReplicateFile, fireFileChanged, fireFileCreated, fireFileDeleted, getAttribute, getFileFromCache, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, isOpen, isReleaseable, notifyAllStreamsClosed, putFileToCache, removeFileFromCache, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileSystem
`addJunction, addListener, getAttribute, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Constructor Detail

### TarFileSystem

    protected TarFileSystem(FileName rootName,
                            FileObject parentLayer,
                            FileSystemOptions fileSystemOptions)
                     throws FileSystemException

Method Detail

### init

    public void init()
              throws FileSystemException

  Description copied from class: `AbstractFileSystem`
  Initialises this component.

  Specified by:
    `init` in interface `VfsComponent`
  Overrides:
    `init` in class `AbstractFileSystem`
  Throws:
    `FileSystemException`

### getInputStream

    public InputStream getInputStream(org.apache.commons.vfs.provider.tar.TarEntry entry)
                               throws FileSystemException

  Throws:
    `FileSystemException`

### resetTarFile

    protected void resetTarFile()
                         throws FileSystemException

  Throws:
    `FileSystemException`

### getTarFile

    protected org.apache.commons.vfs.provider.tar.TarInputStream getTarFile()
                                                                     throws FileSystemException

  Throws:
    `FileSystemException`

### createTarFileObject

    protected TarFileObject createTarFileObject(FileName name,
                                                org.apache.commons.vfs.provider.tar.TarEntry entry)
                                         throws FileSystemException

  Throws:
    `FileSystemException`

### createTarFile

    protected org.apache.commons.vfs.provider.tar.TarInputStream createTarFile(File file)
                                                                        throws FileSystemException

  Throws:
    `FileSystemException`

### doCloseCommunicationLink

    protected void doCloseCommunicationLink()

  Description copied from class: `AbstractFileSystem`
  Close the underlaying link used to access the files

  Overrides:
    `doCloseCommunicationLink` in class `AbstractFileSystem`

### addCapabilities

    protected void addCapabilities(Collection caps)

  Returns the capabilities of this file system.

  Specified by:
    `addCapabilities` in class `AbstractFileSystem`

### createFile

    protected FileObject createFile(FileName name)
                             throws FileSystemException

  Creates a file object.

  Specified by:
    `createFile` in class `AbstractFileSystem`
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.